(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./ExportVideoInstance.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ExportVideoPlugin = void 0;
    const ExportVideoInstance_js_1 = require("./ExportVideoInstance.js");
    class ExportVideoPlugin {
        constructor(engine) {
            this.id = "export-video";
            this._engine = engine;
        }
        getPlugin(container) {
            return Promise.resolve(new ExportVideoInstance_js_1.ExportVideoInstance(container, this._engine));
        }
        loadOptions() {
        }
        needsPlugin() {
            return true;
        }
    }
    exports.ExportVideoPlugin = ExportVideoPlugin;
});
